summarylogtreecommitdiffstats
path: root/gone-home-hib
diff options
context:
space:
mode:
Diffstat (limited to 'gone-home-hib')
-rw-r--r--gone-home-hib12
1 files changed, 12 insertions, 0 deletions
diff --git a/gone-home-hib b/gone-home-hib
new file mode 100644
index 000000000000..a564287768da
--- /dev/null
+++ b/gone-home-hib
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+run='/opt/gone-home-hib/GoneHome.ARCH'
+cd /opt/gone-home-hib/ || exit 1 # The launcher fails unless in its dir.
+
+if which firejail >/dev/null 2>&1 && [ -z "$FIREJAIL_IGNORE" ]; then
+ echo "Firejail detected. Enforcing a sandbox."
+ echo "To bypass Firejail enforcement, run FIREJAIL_IGNORE=1 $run."
+ firejail --caps.drop=all "$run"
+else
+ "$run"
+fi